org.h2.schema

## Interface SchemaObject

All Superinterfaces:
  DbObject

All Known Subinterfaces:
  Index, MVIndex, SpatialIndex

All Known Implementing Classes:
  BaseIndex, Constant, Constraint, ConstraintCheck, ConstraintReferential, ConstraintUnique, FunctionAlias, FunctionIndex, FunctionTable, HashIndex, LinkedIndex, MetaIndex, MetaTable, MVDelegateIndex, MVPrimaryIndex, MVSecondaryIndex, MVSpatialIndex, MVTable, NonUniqueHashIndex, PageBtreeIndex, PageDataIndex, PageDelegateIndex, PageIndex, PageStoreTable, RangeIndex, RangeTable, RegularTable, ScanIndex, SchemaObjectBase, Sequence, SpatialTreeIndex, Table, TableBase, TableLink, TableSynonym, TableView, TreeIndex, TriggerObject, ViewIndex

    public interface SchemaObject
    extends DbObject

Any database object that is stored in a schema.

### Field Summary

### Fields inherited from interface org.h2.engine.DbObject

`AGGREGATE, COMMENT, CONSTANT, CONSTRAINT, DOMAIN, FUNCTION_ALIAS, INDEX, RIGHT, ROLE, SCHEMA, SEQUENCE, SETTING, SYNONYM, TABLE_OR_VIEW, TRIGGER, USER`

### Method Summary

Methods
`Schema` `getSchema()` Get the schema in which this object is defined
`boolean` `isHidden()` Check whether this is a hidden object that doesn't appear in the meta data and in the script, and is not dropped on DROP ALL OBJECTS.

### Methods inherited from interface org.h2.engine.DbObject

`checkRename, getChildren, getComment, getCreateSQL, getCreateSQLForCopy, getDatabase, getDropSQL, getId, getName, getSQL, getSQL, getType, isTemporary, removeChildrenAndResources, rename, setComment, setTemporary`

### Method Detail

#### getSchema

    Schema getSchema()

Get the schema in which this object is defined

Returns:
  the schema

#### isHidden

    boolean isHidden()

Check whether this is a hidden object that doesn't appear in the meta data and in the script, and is not dropped on DROP ALL OBJECTS.

Returns:
  true if it is hidden